Loading...
Searching...
No Matches
casacore::FitsValueResult Class Reference
fits package (libcasa_fits) » FITS_module

analyse the value of a header card More...

`#include <fits.h>`

## Public Attributes

FITS::ValueType | type
union { |
Bool b |
int s [2] |
Int l |
float f |
double d |
}; |
Complex | c
IComplex | lc
DComplex | dc
int | begpos
int | endpos
Bool | isa_point
int | pointpos
int | no_sig
const char * | errmsg

## Detailed Description

analyse the value of a header card

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

Analyse the value of a header card

Definition at line 578 of file fits.h.

## Member Data Documentation

## [union]

union { ... } casacore::FitsValueResult

## b

Bool casacore::FitsValueResult::b

Definition at line 582 of file fits.h.

## begpos

int casacore::FitsValueResult::begpos

Definition at line 591 of file fits.h.

## c

Complex casacore::FitsValueResult::c

Definition at line 588 of file fits.h.

## d

double casacore::FitsValueResult::d

Definition at line 586 of file fits.h.

## dc

DComplex casacore::FitsValueResult::dc

Definition at line 590 of file fits.h.

## endpos

int casacore::FitsValueResult::endpos

Definition at line 592 of file fits.h.

## errmsg

const char* casacore::FitsValueResult::errmsg

Definition at line 596 of file fits.h.

## f

float casacore::FitsValueResult::f

Definition at line 585 of file fits.h.

## isa_point

Bool casacore::FitsValueResult::isa_point

Definition at line 593 of file fits.h.

## l

Int casacore::FitsValueResult::l

Definition at line 584 of file fits.h.

## lc

IComplex casacore::FitsValueResult::lc

Definition at line 589 of file fits.h.

## no_sig

int casacore::FitsValueResult::no_sig

Definition at line 595 of file fits.h.

## pointpos

int casacore::FitsValueResult::pointpos

Definition at line 594 of file fits.h.

## s

int casacore::FitsValueResult::s[2]

Definition at line 583 of file fits.h.

## type

FITS::ValueType casacore::FitsValueResult::type

Definition at line 580 of file fits.h.

The documentation for this class was generated from the following file:

- fits/FITS/fits.h